Scala Reflection Library2.13.5 < Back


# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros

  EXPERIMENTAL

  EXPERIMENTAL

  The base package for Scala macros.

  Macros are functions that are called by the compiler during compilation. Within these functions the programmer has access to compiler APIs. For example, it is possible to generate, analyze and typecheck code.

  See the Macros Guide on how to get started with Scala macros.

  Definition Classes
    reflect
-  abstract class Universe extends api.Universe

  EXPERIMENTAL

  EXPERIMENTAL

  The refinement of scala.reflect.api.Universe for the use by macro writers.

  This universe provides mutability for reflection artifacts (e.g. macros can change types of compiler trees, add annotation to symbols representing definitions, etc) and exposes some internal compiler functionality such as `Symbol.deSkolemize` or `Tree.attachments`.

  Definition Classes
    macros
-  trait MacroCompatApi extends CompatApi

  Definition Classes
    Universe
  Annotations
    @deprecated
  Deprecated

    (Since version 2.13.0) compatibility with Scala 2.10 EOL

  See also

    compat

- CompatibleBuildApi
- CompatibleSymbol
- CompatibleTree
- CompatibleTypeTree
- MacroCompatibleSymbol
- MacroCompatibleTree

c

scala.reflect.macros.Universe.MacroCompatApi

# CompatibleTypeTree

###

#### implicit class CompatibleTypeTree extends AnyRef

Scala 2.10 compatibility enrichments for TypeTree.

Source
  Universe.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompatibleTypeTree
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CompatibleTypeTree(tt: Universe.TypeTree)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CompatibleTypeTree toany2stringadd[CompatibleTypeTree] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CompatibleTypeTree, B)
   Implicit
     This member is added by an implicit conversion from CompatibleTypeTree toArrowAssoc[CompatibleTypeTree] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (CompatibleTypeTree) => Boolean, msg: => Any): CompatibleTypeTree
   Implicit
     This member is added by an implicit conversion from CompatibleTypeTree toEnsuring[CompatibleTypeTree] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (CompatibleTypeTree) => Boolean): CompatibleTypeTree
   Implicit
     This member is added by an implicit conversion from CompatibleTypeTree toEnsuring[CompatibleTypeTree] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): CompatibleTypeTree
    Implicit
      This member is added by an implicit conversion from CompatibleTypeTree toEnsuring[CompatibleTypeTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): CompatibleTypeTree
    Implicit
      This member is added by an implicit conversion from CompatibleTypeTree toEnsuring[CompatibleTypeTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CompatibleTypeTree toStringFormat[CompatibleTypeTree] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (CompatibleTypeTree, B)
   Implicit
     This member is added by an implicit conversion from CompatibleTypeTree toArrowAssoc[CompatibleTypeTree] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromCompatibleTypeTree to any2stringadd[CompatibleTypeTree]

### Inherited by implicit conversion StringFormat fromCompatibleTypeTree to StringFormat[CompatibleTypeTree]

### Inherited by implicit conversion Ensuring fromCompatibleTypeTree to Ensuring[CompatibleTypeTree]

### Inherited by implicit conversion ArrowAssoc fromCompatibleTypeTree to ArrowAssoc[CompatibleTypeTree]

### Ungrouped